API Direct
Endpoints
Reddit Search Users

Reddit Search Users

GET /v1/reddit/users
Documentation

Search Reddit users by keyword. Returns profile data including username, karma scores (post and comment), account age, bio, moderation status, and Reddit Premium status.

Cost
$0.003 per request
Free tier
50 requests/month

Parameters

query *
Search keyword (max 500 characters)

Example Request

curl "https://apidirect.io/v1/reddit/users?query=programming" \
  -H "X-API-Key: YOUR_API_KEY"

Example Response

{
  "users": [
    {
      "username": "spez",
      "user_id": "1w72",
      "description": "CEO of Reddit",
      "link_karma": 148670,
      "comment_karma": 650342,
      "total_karma": 799012,
      "has_verified_email": true,
      "is_gold": true,
      "is_mod": true,
      "icon_img": "https://styles.redditmedia.com/...",
      "created_at": "2005-06-06 04:00:00",
      "url": "https://reddit.com/user/spez"
    }
  ],
  "count": 25
}

Your Usage

Free tier this month
Loading...
Recent Activity